Bug 720723 - [RFE] GPG& SSL key imports in Kickstart File are cluttered and ugly
[RFE] GPG& SSL key imports in Kickstart File are cluttered and ugly
Status: NEW
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
Reported: 2011-07-12 11:46 EDT by kwyjibo
Modified: 2015-10-09 04:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kwyjibo 2011-07-12 11:46:17 EDT
Description of problem:

This is a very minor gripe, but GPG and SSL keys in kickstart are implemented in the kickstart file in an ugly way.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a kickstart Profile and add some GPG keys to it.
2. Examine the resultant kickstart file.
Actual results:
The resulting entry in the kickstart file has the gpg key as plain text piped in to a temporary file and then imported, this this takes up 40+ lines of the kickstart file when it could easily be done with 1.

Expected results:
Spacewalk should add gpg keys as a web accessible text file (in the same way it does for the kickstart file itself) and then could be imported in the kickstart file like this;

rpm --import http://spacewalk-server/rhn/keys/fedora-updates

This would make the resulting kickstart file much simpler and cleaner.

Additional info:
Comment 1 Jan Pazdziora 2011-07-20 07:50:45 EDT
Aligning under space16.

Note You need to log in before you can comment on or make changes to this bug.